워드프레스 강좌 | 워드프레스 4에서 5로 업그레이드 하는 방법, 고전 편집기 사용하는 방법

워드프레스 5로 업그레이드

워드프레스 5가 출시되었습니다. 업데이트 알림이 뜨므로 워드프레스 사용자는 새 버전이 나온 걸 알 수 있습니다. 보통 업그레이드는 하는 게 좋지만, 4에서 5처럼 맨 앞의 숫자가 바뀌는 경우에는 주의를 해야합니다. 큰 변화가 있을 수 있으므로 충분히 테스트를 해보고 업그레이드를 하는 게 좋습니다. 또한 플러그인과 테마가 새 버전의 워드프레스를 지원하는지도 확인을 해야 합니다.

모든 게 이상이 없다고 판단되면, 현재 사이트를 백업하고 업데이트를 합니다. 업데이트 자체는 어렵지 않습니다. [알림판 - 업데이트]에서 [지금 업데이트]를 클릭하면 됩니다.

워드프레스 4에서 5로 업그레이드를 할 때 데이터베이스를 업데이트하는 과정이 있습니다.

업데이트를 마친 화면입니다.

고전 편집기 사용하는 방법

이번 업그레이드에서 가장 눈에 띄는 변화는 편집기입니다. 네이버 블로그의 스마트 에디터처럼 블록 단위로 콘텐츠를 채우는 에디터입니다. 구텐베르크(Gutenberg)라는 이름으로 개발을 하였는데, 워드프레스 5에서는 블록 에디터(Block Editor)라고 부릅니다.

기존 에디터를 사용하지 못하는 것은 아닙니다. 고전 편집기라는 이름의 플러그인으로 제공됩니다. 기존 방식으로 글을 쓰고 싶다면 이 플러그인을 사용하면 됩니다.

플러그인을 활성화하면 [설정 - 쓰기]에서 어떤 걸 기본 에디터로 사용할 지 정할 수 있습니다.

사용자가 에디터를 선택할 수 있도록 설정하면, 글 쓸 때 편집기를 선택할 수 있습니다.

글 마다 다른 편집기를 사용할 수도 있습니다.

Created on 2018-12-08 17:51 | Updated on 2018-12-08 17:51